Package com.databricks.jdbc.model.telemetry

## Class SqlExecutionEvent

- java.lang.Object
- - com.databricks.jdbc.model.telemetry.SqlExecutionEvent

    public class SqlExecutionEvent
    extends Object

### Constructor Summary

Constructors
`SqlExecutionEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlExecutionEvent` `setChunkId​(Long chunkId)`
`SqlExecutionEvent` `setCompressed​(boolean isCompressed)`
`SqlExecutionEvent` `setDriverStatementType​(StatementType driverStatementType)`
`SqlExecutionEvent` `setExecutionResultFormat​(ExecutionResultFormat executionResultFormat)`
`SqlExecutionEvent` `setRetryCount​(Integer retryCount)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlExecutionEvent

    public SqlExecutionEvent()

### Method Detail

#### setDriverStatementType

    public SqlExecutionEvent setDriverStatementType​(StatementType driverStatementType)

#### setCompressed

    public SqlExecutionEvent setCompressed​(boolean isCompressed)

#### setExecutionResultFormat

    public SqlExecutionEvent setExecutionResultFormat​(ExecutionResultFormat executionResultFormat)

#### setChunkId

    public SqlExecutionEvent setChunkId​(Long chunkId)

#### setRetryCount

    public SqlExecutionEvent setRetryCount​(Integer retryCount)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`